summaryrefslogtreecommitdiff
path: root/build-packages.sh
diff options
context:
space:
mode:
authorRahul Kumar <rahku@microsoft.com>2016-07-29 15:22:40 -0700
committerGitHub <noreply@github.com>2016-07-29 15:22:40 -0700
commitf9350e92692fbc6972138115bfc5336750da9069 (patch)
treedf5d0c1485a4ddc8c4c0de68810b5bb1a8085386 /build-packages.sh
parentb49116c0f940760c49b2af9b7593e38a11921694 (diff)
parent5b7d8d9227841faada56ef1005242ce9278cd697 (diff)
downloadcoreclr-f9350e92692fbc6972138115bfc5336750da9069.tar.gz
coreclr-f9350e92692fbc6972138115bfc5336750da9069.tar.bz2
coreclr-f9350e92692fbc6972138115bfc5336750da9069.zip
Merge pull request #6493 from rahku/crossgen
adds testhost package
Diffstat (limited to 'build-packages.sh')
-rwxr-xr-xbuild-packages.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/build-packages.sh b/build-packages.sh
index 238958eefd..be75891850 100755
--- a/build-packages.sh
+++ b/build-packages.sh
@@ -156,6 +156,15 @@ if [ $? -ne 0 ]; then
exit 1
fi
+ # Build the TestHost package
+ $__ProjectRoot/Tools/dotnetcli/dotnet "$__MSBuildPath" /nologo "$__ProjectRoot/src/.nuget/Microsoft.NETCore.TestHost/Microsoft.NETCore.TestHost.builds" /verbosity:minimal "/fileloggerparameters:Verbosity=normal;LogFile=$binclashlog" /t:Build /p:__BuildOS=$__BuildOS /p:__BuildArch=$__BuildArch /p:__BuildType=$__BuildType /p:__IntermediatesDir=$__IntermediatesDir /p:BuildNugetPackage=false /p:UseSharedCompilation=false
+
+if [ $? -ne 0 ]; then
+ echo -e "\nAn error occurred. Aborting build-packages.sh ." >> $build_packages_log
+ echo "ERROR: An error occurred while building packages, see $build_packages_log for more details."
+ exit 1
+fi
+
echo "Done building packages."
echo -e "\nDone building packages." >> $build_packages_log
exit 0